## linux-grsec 4.6.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 VERSION = 4
-PATCHLEVEL = 5
-SUBLEVEL = 7
+PATCHLEVEL = 6
+SUBLEVEL = 3
 EXTRAVERSION =
-NAME = Blurry Fish Butt
+NAME = Charred Weasel
 
 # *DOCUMENTATION*
 # To see a list of typical targets execute "make help"
@@ -365,6 +365,7 @@
 CFLAGS_KERNEL	=
 AFLAGS_KERNEL	=
 CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im
+CFLAGS_KCOV	= -fsanitize-coverage=trace-pc
 
 
 # Use USERINCLUDE when you must reference the UAPI directories only.
@@ -389,5 +390,3 @@
 
 KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
 		   -fno-strict-aliasing -fno-common \
-		   -Werror-implicit-function-declaration \
-		   -Wno-format-security \
