=== debian/changelog ===
linux-grsec (4.6.3-1+grsec201607062159+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 16 Jul 2016 15:42:30 +0200

linux-grsec (4.6.3-1+grsec201607062159+1) unstable; urgency=medium

  * Update grsecurity patch to 3.1-4.6.3-201607062159.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 07 Jul 2016 10:04:14 +0200

linux-grsec (4.6.3-1+grsec201607051723+1) unstable; urgency=medium

  * Pull src:linux changes up to 4.6.3-1.
  * Update grsecurity patch to 3.1-4.6.3-201607051723.
  * Disable patches with grsecurity conflicts:
    - debian/mips-disable-werror (MIPS unsupported)
    - debian/mips-libgcc-fix-abi-change-in-4.6.2 (no ABI stability and MIPs
      unsupported)
  * Disable patches already included in grsecurity:
    - bugfix/all/keys-potential-uninitialized-variable
    - bugfix/all/percpu-fix-synchronization-between-chunk-map_extend
    - bugfix/all/percpu-fix-synchronization-between-synchronous-map-e
    - bugfix/all/posix_acl-add-set_posix_acl
    - bugfix/all/nfsd-check-permissions-when-setting-acls
    - bugfix/all/HID-hiddev-validate-num_values-for-HIDIOCGUSAGES-HID

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 Jul 2016 17:37:41 +0200

linux (4.6.3-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.6.3
    - scsi_lib: correctly retry failed zero length REQ_TYPE_FS commands
    - scsi: Add QEMU CD-ROM to VPD Inquiry Blacklist
    - netlink: Fix dump skb leak/double free
    - tipc: fix nametable publication field in nl compat
    - switchdev: pass pointer to fib_info instead of copy
    - tuntap: correctly wake up process during uninit
    - bpf: Use mount_nodev not mount_ns to mount the bpf filesystem
    - udp: prevent skbs lingering in tunnel socket queues
    - uapi glibc compat: fix compilation when !__USE_MISC in glibc
    - bpf, inode: disallow userns mounts
    - [armhf] net: mvneta: Fix lacking spinlock initialization
    - net: hwbm: Fix unbalanced spinlock in error case
    - sfc: on MC reset, clear PIO buffer linkage in TXQs
    - team: don't call netdev_change_features under team->lock
    - net: alx: use custom skb allocator
    - net: stmmac: Fix incorrect memcpy source memory
    - vxlan: Accept user specified MTU value when create new vxlan link
    - net: nps_enet: Disable interrupts before napi reschedule
    - bpf, trace: use READ_ONCE for retrieving file ptr
    - tcp: record TLP and ER timer stats in v6 stats
    - bridge: Don't insert unnecessary local fdb entry on changing mac address
    - l2tp: fix configuration passed to setup_udp_tunnel_sock()
    - ipv6: Skip XFRM lookup if dst_entry in socket cache is valid
    - [armhf,arm64] KVM: vgic-v2: Clear all dirty LRs
    - [armhf,arm64] KVM: vgic-v3: Clear all dirty LRs
    - [x86] KVM: fix OOPS after invalid KVM_SET_DEBUGREGS
    - KVM: irqfd: fix NULL pointer dereference in kvm_irq_map_gsi
    - [arm*] drivers/perf: arm_pmu: Defer the setting of __oprofile_cpu_pmu
    - [x86] ALSA: hda - Add PCI ID for Kabylake
    - [x86] ALSA: hda - Fix headset mic detection problem for Dell machine
    - ALSA: hda/realtek - ALC256 speaker noise issue
    - ALSA: hda/realtek - Add support for new codecs ALC700/ALC701/ALC703
    - [x86] ALSA: hda/realtek: Add T560 docking unit fixup
    - [armhf] fix PTRACE_SETVFPREGS on SMP systems
    - gpio: bail out silently on NULL descriptors
    - gpiolib: Fix NULL pointer deference
    - gpiolib: Fix unaligned used of reference counters
    - [s390x] bpf: fix recache skb->data/hlen for skb_vlan_push/pop
    - [s390x] bpf: reduce maximum program size to 64 KB
    - [armhf,arm64] irqchip/gic-v3: Fix ICC_SGI1R_EL1.INTID decoding mask
    - [x86] crypto: ccp - Fix AES XTS error for request sizes above 4096
    - [arm64] Provide "model name" in /proc/cpuinfo for PER_LINUX32 tasks
    - [arm64] mm: always take dirty state from new pte in ptep_set_access_flags
    - [powerpc*] pseries/eeh: Handle RTAS delay requests in configure_bridge
    - [powerpc*] Fix definition of SIAR and SDAR registers
    - [powerpc*] Use privileged SPR number for MMCR2
    - [powerpc*] pseries: Add POWER8NVL support to
      ibm,client-architecture-support call
    - [powerpc*] mm/hash: Fix the reference bit update when handling hash fault
    - [hppa] Fix pagefault crash in unaligned __get_user() call
    - memcg: add RCU locking around css_for_each_descendant_pre() in
      memcg_offline_kmem()
    - wext: Fix 32 bit iwpriv compatibility issue with 64 bit Kernel
    - mm: thp: broken page count after commit aa88b68c3b1d
    - [x86] entry/traps: Don't force in_interrupt() to return true in IST
      handlers
    - fix d_walk()/non-delayed __d_free() race
    - [sparc64] Reduce TLB flushes during hugepte changes
    - [sparc64] Take ctx_alloc_lock properly in hugetlb_setup().
    - [sparc64] Harden signal return frame checks.
    - [sparc64] Fix return from trap window fill crashes.
    - drm/core: Do not preserve framebuffer on rmfb, v4.
    - [x86] Revert "drm/i915: Exit cherryview_irq_handler() after one pass"
    - gpio: make sure gpiod_to_irq() returns negative on NULL desc
  * [powerpc*] tm: Always reclaim in start_thread() for exec() class syscalls
    (CVE-2016-5828)

  [ Salvatore Bonaccorso ]
  * HID: hiddev: validate num_values for HIDIOCGUSAGES, HIDIOCSUSAGES commands
    (CVE-2016-5829)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 04 Jul 2016 20:10:24 +0200

linux (4.6.2-2) unstable; urgency=medium

  * [mips*] Fix ABI changes in 4.6.2
  * [rt] Update to 4.6.2-rt5:
    - mm/memcontrol: mem_cgroup_migrate() - replace another local_irq_disable()
      w. local_lock_irq()
  * KEYS: potential uninitialized variable (CVE-2016-4470)
  * percpu: fix synchronization between chunk->map_extend_work and chunk
    destruction (CVE-2016-4794)
  * percpu: fix synchronization between synchronous map extension and

