=== debian/control ===
Source: linux-grsec
Section: kernel
Priority: optional
Maintainer: Yves-Alexis Perez <corsac@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kernel-wedge (>= 2.93~) <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev <!stage1>, openssl <!stage1>, asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools>, flex <!stage1 !pkg.linux.notools>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools>, libaudit-dev <!stage1 !pkg.linux.notools>, libdw-dev <!stage1 !pkg.linux.notools>, libelf-dev <!stage1 !pkg.linux.notools>, libiberty-dev <!stage1 !pkg.linux.notools>, libnewt-dev <!stage1 !pkg.linux.notools>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools>, libperl-dev <!stage1 !pkg.linux.notools>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools>, python-dev <!stage1 !pkg.linux.notools>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, dh-systemd <!stage1 !pkg.linux.notools>, gcc-4.9 [amd64 i386], gcc-4.9-plugin-dev [amd64 i386] <!stage1>
Build-Depends-Indep: patchutils <!stage1>, xmlto <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/linux-grsec.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/linux-grsec.git

Package: linux-grsec-source-4.6
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.6 with Debian patches
 This package provides source code for the Linux kernel version 4.6. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-grsec-support-4.6.0-1
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.6
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.6.0-1-common-grsec
Architecture: amd64 i386
Depends: ${misc:Depends}
Description: Common header files for Linux 4.6.0-1-grsec
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 4.6.0-1-grsec, generally used for building
 out-of-tree kernel modules.  To obtain a complete set of headers you also
 need to install the linux-headers-4.6.0-1-(flavour) package, matching the
 flavour of the kernel you intend the build for.
Build-Profiles: <!stage1>

Package: linux-image-4.6.0-1-grsec-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, linux-grsec-base [amd64], initramfs-tools (>= 0.110~) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}, gradm2 [amd64], paxctl [amd64], attr [amd64]
Suggests: linux-doc-4.6, debian-kernel-handbook, grub-pc [amd64] | grub-efi [amd64] | extlinux [amd64]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [amd64], initramfs-tools (<< 0.110~)
Description: Linux 4.6 for 64-bit PCs, Grsecurity protection
 The Linux kernel 4.6 and modules for use on PCs with AMD64, Intel 64 or
 VIA Nano processors.
 .
 This kernel includes support for Grsecurity and PaX security hardening
 features
Build-Profiles: <!stage1>

Package: linux-headers-4.6.0-1-grsec-amd64
Architecture: amd64
Depends: linux-headers-4.6.0-1-common-grsec (= ${binary:Version}), linux-kbuild-4.6, ${misc:Depends}, gcc-4.9, gcc-4.9-plugin-dev
Description: Header files for Linux 4.6.0-1-grsec-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.6.0-1-grsec-amd64, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.6.0-1-grsec-amd64, and can be used for building
 modules that load into the kernel provided by the
 linux-image-4.6.0-1-grsec-amd64 package.
Build-Profiles: <!stage1>

Package: linux-image-4.6.0-1-grsec-686-pae
Architecture: i386
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, linux-grsec-base [i386], initramfs-tools (>= 0.110~) [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, ${kernel:Recommends}, gradm2 [i386], paxctl [i386], attr [i386]
Suggests: linux-doc-4.6, debian-kernel-handbook, grub-pc [i386] | extlinux [i386]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [i386], initramfs-tools (<< 0.110~)
Description: Linux 4.6 for modern PCs, Grsecurity protection
 The Linux kernel 4.6 and modules for use on PCs with one or more
 processors supporting PAE.
 .
 This kernel includes support for Grsecurity and PaX security hardening
 features
 .
 This kernel requires PAE (Physical Address Extension). This feature is
 supported by the Intel Pentium Pro/II/III/4/4M/D, Xeon, Core and Atom; AMD
 Geode NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C7; and some other processors.
Build-Profiles: <!stage1>

Package: linux-headers-4.6.0-1-grsec-686-pae
Architecture: i386
Depends: linux-headers-4.6.0-1-common-grsec (= ${binary:Version}), linux-kbuild-4.6, ${misc:Depends}, gcc-4.9, gcc-4.9-plugin-dev
Description: Header files for Linux 4.6.0-1-grsec-686-pae
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.6.0-1-grsec-686-pae, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.6.0-1-grsec-686-pae, and can be used for building
 modules that load into the kernel provided by the
 linux-image-4.6.0-1-grsec-686-pae package.
Build-Profiles: <!stage1>
