=== debian/changelog ===
linux-grsec (4.7.5-1+grsec201609261522+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 04 Oct 2016 22:26:27 +0200

linux-grsec (4.7.5-1+grsec201609261522+1) unstable; urgency=medium

  * Pull changes from src:linux up to 4.7.5-1.
  * Grsecurity patch updated to 3.1-4.7.5-201609261522.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 27 Sep 2016 21:40:06 +0200

linux (4.7.5-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.7.5
    - [armhf] clocksource/drivers/sun4i: Clear interrupts after stopping timer
      in probe function
    - fscrypto: require write access to mount to set encryption policy
    - [arm64] drm/msm: protect against faults from copy_from_user() in submit
      ioctl
    - bpf: fix method of PTR_TO_PACKET reg id generation
    - ipv4: panic in leaf_walk_rcu due to stale node pointer
    - vti: flush x-netns xfrm cache when vti interface is removed
    - bpf: fix write helpers with regards to non-linear parts
    - net/irda: handle iriap_register_lsap() allocation failure
    - net/sctp: always initialise sctp_ht_iter::start_fail
    - net: ipv6: Do not keep IPv6 addresses when IPv6 is disabled
    - tipc: fix NULL pointer dereference in shutdown()
    - net/mlx5: Fix pci error recovery flow
    - net/mlx5: Added missing check of msg length in verifying its signature
    - net/mlx5e: Use correct flow dissector key on flower offloading
    - net sched: fix encoding to use real length
    - udp: fix poll() issue with zero sized packets
    - tcp: properly scale window in tcp_v[46]_reqsk_send_ack()
    - sctp: fix overrun in sctp_diag_dump_one()
    - tun: fix transmit timestamp support
    - [armhf] net: dsa: bcm_sf2: Fix race condition while unmasking interrupts
    - Revert "phy: IRQ cannot be shared"
    - net: smc91x: fix SMC accesses
    - bridge: re-introduce 'fix parsing of MLDv2 reports'
    - bonding: Fix bonding crash
    - Revert "af_unix: Fix splice-bind deadlock"
    - af_unix: split 'u->readlock' into two: 'iolock' and 'bindlock'
    - ipv6: release dst in ping_v6_sendmsg
    - [arm64] bnxt_en: Fix TX push operation on ARM64.
    - ipv6: addrconf: fix dev refcont leak when DAD failed
    - tcp: fastopen: avoid negative sk_forward_alloc
    - net/mlx5e: Fix parsing of vlan packets when updating lro header
    - tcp: cwnd does not increase in TCP YeAH
    - [powerpc*] tm: do not use r13 for tabort_syscall
    - [powerpc*] powernv : Drop reference added by kset_find_obj()
    - [powerpc*] sysdev: cpm: fix gpio save_regs functions
    - [powerpc*] mm: Don't alias user region to other regions below PAGE_OFFSET
    - [powerpc*] powernv: Fix corrupted PE allocation bitmap on releasing PE
    - kernfs: don't depend on d_find_any_alias() when generating notifications
    - pNFS/flexfiles: Fix an Oopsable condition when connection to the DS fails
    - pNFS: The client must not do I/O to the DS if it's lease has expired
    - NFSv4.1: Fix Oopsable condition in server callback races
    - NFSv4.x: Fix a refcount leak in nfs_callback_up_net
    - nfsd: Close race between nfsd4_release_lockowner and nfsd4_lock
    - pNFS: Ensure LAYOUTGET and LAYOUTRETURN are properly serialised
    - NFSv4.1: Fix the CREATE_SESSION slot number accounting
    - kexec: fix double-free when failing to relocate the purgatory
    - mm, mempolicy: task->mempolicy must be NULL before dropping final
      reference
    - ahci: disable correct irq for dummy ports
    - audit: fix exe_file access in audit_exe_compare
    - dm flakey: fix reads to be issued if drop_writes configured
    - IB/hfi1,IB/qib: Fix qp_stats sleep with rcu read lock held
    - IB/uverbs: Fix race between uverbs_close and remove_one
    - IB/hfi1: Reset QSFP on every run through channel tuning
    - [amd64] mm: fix cache mode of dax pmd mappings
    - [x86] paravirt: Do not trace _paravirt_ident_*() functions
    - [x86] AMD: Apply erratum 665 on machines without a BIOS fix
    - [s390x] KVM: don't use current->thread.fpu.* when accessing registers
    - [armhf,arm64] kvm-arm: Unmap shadow pagetables properly
    - [x86] kvm: correctly reset dest_map->vector when restoring LAPIC state
    - iio: sw-trigger: Fix config group initialization
    - [armhf] iio: adc: rockchip_saradc: reset saradc controller before
      programming it
    - [armhf] iio: adc: ti_am335x_adc: Protect FIFO1 from concurrent access
    - [armhf] iio: adc: ti_am335x_adc: Increase timeout value waiting for ADC
      sample
    - iio:ti-ads1015: fix a wrong pointer definition.
    - [x86] iio: accel: bmc150: reset chip at init time
    - iio: fix pressure data output unit in hid-sensor-attributes
    - iio:core: fix IIO_VAL_FRACTIONAL sign handling
    - iio: ensure ret is initialized to zero before entering do loop
    - serial: 8250_mid: fix divide error bug if baud rate is 0
    - serial: 8250: added acces i/o products quad and octal serial cards
    - [armhf,arm64] usb: chipidea: udc: fix NULL ptr dereference in
      isr_setup_status_phase
    - USB: change bInterval default to 10 ms
    - devpts: return NULL pts 'priv' entry for non-devpts nodes
    - cpuset: make sure new tasks conform to the current config of the cpuset
    - [armhf] dts: rockchip: add reset node for the exist saradc SoCs
    - [armhf] imx6: add missing BM_CLPCR_BYP_MMDC_CH0_LPM_HS setting for imx6ul
    - [armhf] imx6: add missing BM_CLPCR_BYPASS_PMIC_READY setting for imx6sx
    - [armel] kirkwood: ib62x0: fix size of u-boot environment partition
    - [armhf] OMAP3: hwmod data: Add sysc information for DSI
    - [armel] dts: kirkwood: Fix PCIe label on OpenRD
    - [armhf] dts: imx6qdl: Fix SPDIF regression
    - [armhf] dts: armada-388-clearfog: number LAN ports properly
    - dm log writes: fix check of kthread_run() return value
    - dm crypt: fix free of bad values after tfm allocation failure
